Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif
Class OutputExtensionInfo

    java.lang.Object
      polyglot.frontend.AbstractExtensionInfo
          polyglot.ext.jl.ExtensionInfo
              jif.OutputExtensionInfo

All Implemented Interfaces:
  polyglot.frontend.ExtensionInfo

    public class OutputExtensionInfo

extends polyglot.ext.jl.ExtensionInfo

This is an extension to jl that is the target language of the jif extension. The only differences between this language and jl is in the translation pass. The input language is identical. This extension cannot live on its own: it only provides the passes after EXC_CHECK_ALL: that is those which deal with translation.

Field Summary

Fields inherited from class polyglot.frontend.AbstractExtensionInfo
`compiler, nf, scheduler, source_loader, stats, target_factory, ts`

Constructor Summary
`OutputExtensionInfo(ExtensionInfo jifExtInfo)`

Method Summary
`polyglot.frontend.Scheduler` | `createScheduler()`
`polyglot.frontend.goals.Goal` | `getCompileGoal(polyglot.frontend.Job job)`
`polyglot.main.Options` | `getOptions()`
`protected void` | `initTypeSystem()`

Methods inherited from class polyglot.ext.jl.ExtensionInfo
`compilerName, createNodeFactory, createTypeSystem, defaultFileExtension, jobExt, parser, version`

Methods inherited from class polyglot.frontend.AbstractExtensionInfo
`compiler, createOptions, defaultFileExtensions, fileExtensions, getStats, initCompiler, nodeFactory, scheduler, sourceLoader, targetFactory, toString, typeSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputExtensionInfo

    public OutputExtensionInfo(ExtensionInfo jifExtInfo)

Method Detail

### getOptions

    public polyglot.main.Options getOptions()

  Specified by:
    `getOptions` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `getOptions` in class `polyglot.frontend.AbstractExtensionInfo`

### createScheduler

    public polyglot.frontend.Scheduler createScheduler()

  Overrides:
    `createScheduler` in class `polyglot.ext.jl.ExtensionInfo`

### getCompileGoal

    public polyglot.frontend.goals.Goal getCompileGoal(polyglot.frontend.Job job)

  Specified by:
    `getCompileGoal` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `getCompileGoal` in class `polyglot.ext.jl.ExtensionInfo`

### initTypeSystem

    protected void initTypeSystem()

  Overrides:
    `initTypeSystem` in class `polyglot.ext.jl.ExtensionInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD